/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, TEK window */

class CTEKWindow : public CFrameWnd
{
private:
  TTEKVar tk;

public:
  /* constructor */
  CTEKWindow();
  afx_msg LONG OnDlgHelp(UINT wParam, LONG lParam);
  LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  int Parse();
  void RestoreSetup();

  void CMFilePrint();
  void CMFileExit();
  void CMEditCopy();
  void CMEditCopyScreen();
  void CMEditPaste();
  void CMEditPasteCR();
  void CMEditClearScreen();
  void CMSetupWindow();
  void CMSetupFont();
  void CMVTWin();
  void CMHelpIndex();
  void CMHelpUsing();
  void CMAbout();

  //{{AFX_MSG( CMainWindow )
  afx_msg void OnActivate
    (UINT nState, CWnd* pWndOther, BOOL bMinimized);
  afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnDestroy();
  afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
  afx_msg void OnInitMenuPopup
    (CMenu* pPopupMenu,UINT nIndex, BOOL bSysmenu);
  afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
  afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
  afx_msg void OnMButtonUp(UINT nFlags, CPoint point);
  afx_msg void OnMouseMove(UINT nFlags, CPoint point);
  afx_msg void OnMove(int x, int y);
  afx_msg void OnPaint();
  afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
  afx_msg void OnSize(UINT nType, int cx, int cy);
  afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
  afx_msg void OnSysKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnSysKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);

  afx_msg LONG OnChangeMenu(UINT wParam, LONG lParam);
  afx_msg LONG OnDlgHelp(UINT wParam, LONG lParam);

  //}}AFX_MSG

  DECLARE_MESSAGE_MAP()
};

void TEKWinActivate();
int TEKWinParse();
void TEKWinRestoreSetup();

